Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Search a Product

Request

Performs a search by sku and label fields. Returns all lists containing the search term. Enter the search term in the request body in the q parameter.

Information: Use the /productmanager.quicksearch/{query} (Search a Product (URL)) endpoint to pass the search term in the URL.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobjectrequired
data.​qstringnon-emptyrequired

Enter the term you want to search.

curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productmanager.quicksearch \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "q": "PROD0001"
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "csrfToken": "string", "data": [], "totalRows": 0, "status": 0 } }

Search a Product (URL)

Request

Performs a search by sku and label fields. Returns all lists containing the search term. Enter the search term query URL-encoded to prevent an invalid API call when using special characters in the URL.

Information: Use the /productmanager.quicksearch (Search a Product) endpoint to pass the search term in the request body.

Security
basic or X-PriceFx-jwt
Path
querystringrequired
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productmanager.quicksearch/{query}'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "csrfToken": "string", "data": [], "totalRows": 0, "status": 0 } }

List Products

Request

Retrieves a list of Products. A filter can be applied (see the request example).

You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the listProductsResponseExample_resultFields response example.

valueFields: returns just an array of values. Use this option if a better performance is required. See the listProductsResponseExample_valueFields response example.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
endRownumber

The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.

Default 300
operationTypestringnon-empty
startRownumber

The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.

textMatchStylestringnon-empty
Default "exact"
Enum"startsWith""exact""substring"
dataobject or null
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productmanager.fetchformulafilteredproducts \
  -H 'Content-Type: application/json' \
  -d '{
    "endRow": 300,
    "operationType": "fetch",
    "startRow": 0,
    "textMatchStyle": "exact",
    "data": {
      "_constructor": "AdvancedCriteria",
      "operator": "and",
      "criteria": [
        {
          "fieldName": "currency",
          "operator": "iEquals",
          "value": "USD"
        }
      ]
    }
  }'

Responses

Returns full record details.

Bodyapplication/json
responseobject
Any of:
Response
application/json
{ "response": { "node": "node", "startRow": 0, "data": [], "endRow": 8, "totalRows": 8, "status": 0 } }

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas